<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@Register TagPrefix="ANet" TagName="Footer" Src="includes/footer.ascx"%>
<%@ Page Language="VB" Debug="True" %>

<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.Xsl" %>

<!-- 
# nome:             cache_file.aspx 
# scritto da:       Antonio Volpon 
# data creazione:   30 Novembre 2001
# ultima modifica:  30 Novembre 2001
# copyright:        Antonio Volpon 
-->

<script language="vb" runat="server">


Public Sub Page_Load(sender As Object, e As EventArgs)
  
	Dim objXml As New XmlDocument
	Dim objXsl As New XslTransform()

	If (IsNothing(Cache("xml.xml"))) Then
		risposta.innerText = "Elemento non presente in cache...lo carico"
		PopolaCache("xml.xml")
	Else
		risposta.innerText = "Elemento gi presente in cache"
	End If

	objXsl.Load(Server.MapPath("xsl.xsl"))

	objXml = CType(Cache("xml.xml"), XmlDocument)

	libri.Document = objXml
	libri.Transform = objXsl

End Sub

Public Sub PopolaCache(strFileXml As String)

    Dim objXml As New XmlDocument
    
    objXml.Load(Server.MapPath(strFileXml))

    Dim objCDep as new CacheDependency(Server.MapPath(strFileXml))

    Cache.Insert(strFileXml, objXml, objCDep)

End Sub

</script>


<html>

	<head>
		<link rel="stylesheet" href="css/aspnet.css" type="text/css">
		</link>
		<title>DataReader</title>
	</head>
	
	<body>

		<div class="titolo">
			DataReader
		</div>
		
		<hr noshade="noshade" size="1" width="100%" />	

		<asp:xml id="libri" runat="server"/>
				
		<div class="txtb" id="risposta" runat="server"></div>
		
	      <ANet:Footer id="Menu" runat="server" />

	</body>
	
</html>


